package jp.hishidama.javadb.tool;

import java.awt.Desktop;
import java.awt.event.ActionEvent;
import java.net.URL;

import javax.swing.AbstractAction;
import javax.swing.JEditorPane;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;
import javax.swing.event.HyperlinkEvent.EventType;

import jp.hishidama.javadb.tool.schema.DerbySchemaFrame;

public class AboutDialog {

	protected static JPanel panel;

	public static void init() {
		String str = "<a href='http://www.ne.jp/asahi/hishidama/home/tech/soft/java/htjavadb.html'>HtJavaDBc[</a><br><br>"
				+ "<a href='http://www.ne.jp/asahi/hishidama/home/tech/java/javadb.html'>JavaDB</a>"
				+ "<a href='http://www.ne.jp/asahi/hishidama/home/tech/java/swing/index.html'>Swing</a>"
				+ "׋ׂ̈ɍĂ݂c[łB<br><br>" + "by Ђ 2009-04-26/2009-12-26";
		JEditorPane text = new JEditorPane("text/html", str);
		text.setEditable(false);
		text.setOpaque(false);
		text.putClientProperty(JEditorPane.HONOR_DISPLAY_PROPERTIES,
				Boolean.TRUE);
		text.setFont(new JLabel().getFont());
		text.addHyperlinkListener(new HyperlinkHander());

		panel = new JPanel();
		panel.add(text);
	}

	public static DialogAction action = new DialogAction();

	static class DialogAction extends AbstractAction {
		private static final long serialVersionUID = -4219468767769986213L;

		public DialogAction() {
			super("HtJavaDBc[ɂ");
		}

		@Override
		public void actionPerformed(ActionEvent e) {
			if (panel == null) {
				init();
			}
			String name = (String) getValue(NAME);
			if (false) {
				JOptionPane.showMessageDialog(null, panel, name,
						JOptionPane.INFORMATION_MESSAGE);
			} else {
				Object[] options = { "", "" };
				// int r =
				JOptionPane.showOptionDialog(null, panel, name,
						JOptionPane.OK_CANCEL_OPTION,
						JOptionPane.INFORMATION_MESSAGE, null, options, 0);
				// System.out.println(r);
			}
		}
	}

	static class HyperlinkHander implements HyperlinkListener {

		@Override
		public void hyperlinkUpdate(HyperlinkEvent e) {
			if (e.getEventType() == EventType.ACTIVATED) {
				URL url = e.getURL();
				Desktop dp = Desktop.getDesktop();
				try {
					dp.browse(url.toURI());
				} catch (Exception ex) {
					DerbySchemaFrame.log(ex);
				}
			}
		}
	}
}
