package jp.hishidama.javadb.tool.free;

import javax.swing.JTable;
import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import jp.hishidama.javadb.tool.table.CopyPopupMenu;
import jp.hishidama.javadb.tool.table.DerbyGenericRenderer;
import jp.hishidama.swing.table.ExTable;

public class FreeDataTable extends ExTable {
	private static final long serialVersionUID = 1L;

	public FreeDataTable(FreeDataModel dataModel) {
		super(dataModel);

		setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
		setAutoCreateRowSorter(true);

		setColumnSelectionAllowed(true);
		setRowSelectionAllowed(true);

		setComponentPopupMenu(new CopyPopupMenu(this));
	}

	private TableCellRenderer renderer = new DerbyGenericRenderer();

	@Override
	public TableCellRenderer getCellRenderer(int row, int column) {
		return renderer;
	}

	@Override
	public TableCellEditor getCellEditor(int row, int column) {
		return null;
	}
}
