package jp.hishidama.javadb.tool.table;

public class TableName {

	protected String schema;
	protected String table;
	protected String tableId;

	public TableName(String schema, String table, String tableId) {
		this.schema = schema;
		this.table = table;
		this.tableId = tableId;
	}

	public String getFullTableName() {
		if (schema != null) {
			return schema + "." + table;
		}
		return table;
	}

	public String getSchemaName() {
		return schema;
	}

	public String getTableName() {
		return table;
	}

	public String getTableId() {
		return tableId;
	}
}
