package jp.hishidama.swing.tree;

import javax.swing.tree.DefaultMutableTreeNode;

/**
 * xWJc[m[h.
 *<p>
 * CX^Xɂ͎qm[hꗗ̍쐬s킸Ac[WJۂɍ쐬B
 * </p>
 *
 * @author <a target="hishidama"
 *         href="http://www.ne.jp/asahi/hishidama/home/tech/java/swing/JTree.html"
 *         >Ђ</a>
 * @since 2009.03.20
 * @see LazyTree
 */
public abstract class LazyTreeNode extends DefaultMutableTreeNode {
	private static final long serialVersionUID = -1093870822329983065L;

	protected boolean added = false;

	public LazyTreeNode(Object userObject) {
		super(userObject);
	}

	@Override
	public boolean isLeaf() {
		return false;
	}

	@Override
	public void removeAllChildren() {
		super.removeAllChildren();
		added = false;
	}

	/**
	 * qm[hɃf[^ǉ.
	 * <p>
	 * xǉĂꍇ͎ۂ̒ǉ͍sȂB
	 * </p>
	 *
	 * @see #addChildNodesImpl()
	 */
	public void addChildNodes() {
		if (!added) {
			addChildNodesImpl();
			added = true;
		}
	}

	/**
	 * qm[hɃf[^ǉ.
	 *
	 * @see #addChildNodes()
	 */
	protected abstract void addChildNodesImpl();
}
